Wordpress 3.2 ne prendra plus en charge Internet Explorer 6

La chute continue 51
Vincent Hermann
Wordpress, le célèbre moteur de blog, se prépare actuellement pour passer en version 3.2. La numérotation ne le laisse pas supposer, mais cette mouture apporte des changements techniques relativement profonds qui vont réclamer des composants plus récents pour fonctionner, tout en provoquant l’abandon de la compatibilité avec Internet Explorer 6.

wordpress duster 

Sale temps pour le vieux navigateur de Microsoft, mais « tant mieux ! » diront certains. Les modifications actuellement apportés dans Wordpress 3.2, disponible en bêta, prévoient l’élimination du support du butineur. Les bases techniques du moteur évoluent en effet, et vont par exemple réclamer la présence obligatoire et minimale de PHP 5.2.4 et MySQL 5.0 pour fonctionner.

Voici la liste des améliorations apportées :
  • Une amélioration nette des performances
  • Une nouvelle version de l’éditeur de contenu et de l’interface de composition des billets, plus sobre, et disponible en mode HTML
  • Un rafraichissement de l’interface d’administration
  • Un nouveau thème par défaut, baptisé Twenty Eleven, basé sur Duster. Il est possible notamment d’y inclure une rotation des images dans le header.
  • Visiter le Dashboard avec un ancien navigateur signalera la présence d’une nouvelle version. Les développeurs participent à « l’effort de guerre ».
  • Des liens supplémentaires ont été placés dans la barre d’administration pour la rendre plus utile
Concernant les avertissements, l’équipe prévient que le menu Favoris a été retiré.

Les intéressés pourront télécharger la bêta de Wordpress 3.2 depuis l’annonce officielle.